hpp-statistics: hpp::statistics::SuccessBin Class Reference

hpp-statistics 9.0.2 Classes for doing statistics.

Classes | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
hpp::statistics::SuccessBin Class Reference

This class count the number of success and failure. More...

`#include <hpp/statistics/success-bin.hh>`

Inheritance diagram for hpp::statistics::SuccessBin:
[legend]
Collaboration diagram for hpp::statistics::SuccessBin:
[legend]

## Classes
struct | Reason

## Public Member Functions
| SuccessBin (const bool success, const Reason &r=REASON_UNKNOWN)
| Constructor. More...
bool | isSuccess () const
const Reason & | reason () const
| If this bin represents 'failure', returns the reason. More...
const std::string & | reasonString () const
| If this bin represents 'failure', returns the reason as a string. More...
bool | operator== (const SuccessBin &other) const
bool | operator< (const SuccessBin &other) const
Public Member Functions inherited from hpp::statistics::Bin
const std::size_t & | freq () const
| Return the number of element in the bin. More...
std::size_t | operator++ ()
std::size_t | operator++ (int)
virtual std::ostream & | print (std::ostream &os) const
| Print the bin. More...

## Static Public Member Functions
static Reason | createReason (const std::string &what)

## Static Public Attributes
static const Reason | REASON_UNKNOWN
| The default reason for 'failure'. More...

## Additional Inherited Members
Protected Member Functions inherited from hpp::statistics::Bin
| Bin ()
| Constructor. More...
virtual | ~Bin ()

## Detailed Description

This class count the number of success and failure.

## Constructor & Destructor Documentation

## ◆ SuccessBin()

hpp::statistics::SuccessBin::SuccessBin | ( | const bool | success,
|  | const Reason & | r = `REASON_UNKNOWN`
| ) |  |
| inline

Constructor.

## Member Function Documentation

## ◆ createReason()

static Reason hpp::statistics::SuccessBin::createReason | ( | const std::string & | what | ) |
| inlinestatic

Create a new Reason

Parameters

  what | The text associated with the reason.

## ◆ isSuccess()

bool hpp::statistics::SuccessBin::isSuccess | ( |  | ) | const
| inline

Value of the bin.

Returns
  True is it counts "success", False otherwise.

## ◆ operator<()

bool hpp::statistics::SuccessBin::operator< | ( | const SuccessBin & | other | ) | const
| inline

Comparison

Returns
  the comparison of their reason id. 'success' has a reason id of INT_MIN.

## ◆ operator==()

bool hpp::statistics::SuccessBin::operator== | ( | const SuccessBin & | other | ) | const
| inline

Check for equality.

Returns
  True if both are 'success' or if they are both 'failure' with the same Reason.

## ◆ reason()

const Reason& hpp::statistics::SuccessBin::reason | ( |  | ) | const
| inline

If this bin represents 'failure', returns the reason.

## ◆ reasonString()

const std::string& hpp::statistics::SuccessBin::reasonString | ( |  | ) | const
| inline

If this bin represents 'failure', returns the reason as a string.

## Member Data Documentation

## ◆ REASON_UNKNOWN

const Reason hpp::statistics::SuccessBin::REASON_UNKNOWN
| static

The default reason for 'failure'.

The documentation for this class was generated from the following file:

- include/hpp/statistics/success-bin.hh